org.keycloak.dom.saml.v2.ac

## Class OperationalProtectionType

- java.lang.Object
- - org.keycloak.dom.saml.v2.ac.OperationalProtectionType

-     public class OperationalProtectionType
      extends Object

  Java class for OperationalProtectionType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="OperationalProtectionType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac}SecurityAudit" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac}DeactivationCallCenter" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac}Extension" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ExtensionOnlyType` | `deactivationCallCenter`
    `protected List<ExtensionType>` | `extension`
    `protected SecurityAuditType` | `securityAudit`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OperationalProtectionType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExtensionOnlyType` | `getDeactivationCallCenter()` Gets the value of the deactivationCallCenter property.
    `List<ExtensionType>` | `getExtension()` Gets the value of the extension property.
    `SecurityAuditType` | `getSecurityAudit()` Gets the value of the securityAudit property.
    `void` | `setDeactivationCallCenter(ExtensionOnlyType value)` Sets the value of the deactivationCallCenter property.
    `void` | `setSecurityAudit(SecurityAuditType value)` Sets the value of the securityAudit property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### securityAudit

          protected SecurityAuditType securityAudit

    - #### deactivationCallCenter

          protected ExtensionOnlyType deactivationCallCenter

    - #### extension

          protected List<ExtensionType> extension

  - ### Constructor Detail

    - #### OperationalProtectionType

          public OperationalProtectionType()

  - ### Method Detail

    - #### getSecurityAudit

          public SecurityAuditType getSecurityAudit()

      Gets the value of the securityAudit property.
      Returns:
        possible object is `SecurityAuditType`

    - #### setSecurityAudit

          public void setSecurityAudit(SecurityAuditType value)

      Sets the value of the securityAudit property.
      Parameters:
        `value` - allowed object is `SecurityAuditType`

    - #### getDeactivationCallCenter

          public ExtensionOnlyType getDeactivationCallCenter()

      Gets the value of the deactivationCallCenter property.
      Returns:
        possible object is `ExtensionOnlyType`

    - #### setDeactivationCallCenter

          public void setDeactivationCallCenter(ExtensionOnlyType value)

      Sets the value of the deactivationCallCenter property.
      Parameters:
        `value` - allowed object is `ExtensionOnlyType`

    - #### getExtension

          public List<ExtensionType> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

           getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `ExtensionType`

Copyright © 2021 JBoss by Red Hat. All rights reserved.